module Download (downloadHtmlDef) where 

import Data.ByteString.Lazy
import Network.HTTP.Simple

baseUrl = "http://www.cnrtl.fr/definition/"

downloadHtmlDef :: String -> IO ByteString
downloadHtmlDef w = do
    request <- getRequest w
    response <- httpLBS (request)
    return (getResponseBody response)

getRequest :: String -> IO Request
getRequest w = parseRequest (baseUrl ++ w)
